export declare class StockPrice {
  stockInput: HTMLInputElement;
  initialStockSymbol: string;
  el: HTMLElement;
  fetchPrice: number;
  stockUserInput: string;
  isStockInputValid: boolean;
  isLoading: boolean;
  error: string;
  stockSymbol: string;
  stockSymbolChanged(newValue: any, oldValue: any): void;
  componentWillLoad(): void;
  componentDidLoad(): void;
  componentWillUpdate(): void;
  componentDidUpdate(): void;
  disconnectedCallback(): void;
  onStockSymbolSelected(event: CustomEvent): void;
  fetchStockPrice(stockSymbol: string): void;
  onFetchStockPrice(event: Event): void;
  onUserInput: (event: Event) => void;
  hostData(): {
    class: string;
  };
  render(): any;
}
